<?php
/**
 * Copyright © 2015 FiloBlu. All rights reserved.
 */

namespace Blackbird\MenuManager\Setup;

use Magento\Framework\Setup\UpgradeSchemaInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\Setup\ModuleContextInterface;
/**
 * @codeCoverageIgnore
 */
class UpgradeSchema implements UpgradeSchemaInterface
{
    /**
     * {@inheritdoc}
     */
    public function upgrade(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {

        if(!$context->getVersion()) {
           return $this;
        }

        if (version_compare($context->getVersion(), '0.0.10') < 0) {

            $installer = $setup;

            $installer->startSetup();

            $table = $installer->getTable('blackbird_menumanager_node');

            $columns = [
                'max_item_column' => [
                    'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                    'comment' => 'Max items for column'
                ],

            ];

            $connection = $installer->getConnection();
            foreach ($columns as $name => $definition) {
                $connection->addColumn($table, $name, $definition);
            }

            $installer->endSetup();

        }

    }

}
